Package ghidra.features.base.replace.items

# Class UpdateDataTypeDescriptionQuickFix

java.lang.Object
ghidra.features.base.quickfix.QuickFix
ghidra.features.base.replace.items.UpdateDataTypeDescriptionQuickFix

public class UpdateDataTypeDescriptionQuickFix extends QuickFix
QuickFix for updating a datatype's description (Only supported on structures, unions, or enums)

- ## Field Summary

  ### Fields inherited from class ghidra.features.base.quickfix.QuickFix

  `current, original, program, replacement`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateDataTypeDescriptionQuickFix(Program program, DataType dataType, String newDescription)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `doGetCurrent()`
  Returns the current value of the item.
  `void`
  `execute()`
  Executes the action.
  `String`
  `getActionName()`
  Returns the general name of the action to be performed.
  `Address`
  `getAddress()`
  Returns the address of the affected program element if applicable or null otherwise.
  `Map<String,String>`
  `getCustomToolTipData()`
  `String`
  `getItemType()`
  Returns the type of program element being affected (function, label, comment, etc.)
  `String`
  `getPath()`
  Returns a path (the meaning of the path varies with the item type) associated with the affected program element if applicable or null otherwise.
  `ProgramLocation`
  `getProgramLocation()`
  `protected boolean`
  `navigateSpecial(ServiceProvider services, boolean fromSelectionChange)`
  QuickFix items can override this method if they want to do some special navigation when the table selection changes or the user double clicks (or presses `<return>` key) to navigate.

  ### Methods inherited from class ghidra.features.base.quickfix.QuickFix

  `getCurrent, getOriginal, getPreview, getStatus, getStatusMessage, performAction, refresh, setStatus, setStatus, statusChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateDataTypeDescriptionQuickFix

    public UpdateDataTypeDescriptionQuickFix(Program program, DataType dataType, String newDescription)
    Constructor
    Parameters:
      `program` - the program containing the datatype description to be updated.
      `dataType` - the datatype being renamed
      `newDescription` - the new name for the datatype

- ## Method Details

  - ### getItemType

    public String getItemType()
    Description copied from class: `QuickFix`
    Returns the type of program element being affected (function, label, comment, etc.)
    Specified by:
      `getItemType` in class `QuickFix`
    Returns:
      the type of program element being affected

  - ### getAddress

    public Address getAddress()
    Description copied from class: `QuickFix`
    Returns the address of the affected program element if applicable or null otherwise.
    Specified by:
      `getAddress` in class `QuickFix`
    Returns:
      the address of the affected program element if applicable or null otherwise

  - ### getPath

    public String getPath()
    Description copied from class: `QuickFix`
    Returns a path (the meaning of the path varies with the item type) associated with the affected program element if applicable or null otherwise.
    Specified by:
      `getPath` in class `QuickFix`
    Returns:
      a path associated with the affected program if applicable or null otherwise

  - ### doGetCurrent

    public String doGetCurrent()
    Description copied from class: `QuickFix`
    Returns the current value of the item.
    Specified by:
      `doGetCurrent` in class `QuickFix`
    Returns:
      the current value of the item

  - ### execute

    public void execute()
    Description copied from class: `QuickFix`
    Executes the action.
    Specified by:
      `execute` in class `QuickFix`

  - ### getProgramLocation

    public ProgramLocation getProgramLocation()
    Specified by:
      `getProgramLocation` in class `QuickFix`

  - ### navigateSpecial

    protected boolean navigateSpecial(ServiceProvider services, boolean fromSelectionChange)
    Description copied from class: `QuickFix`
    QuickFix items can override this method if they want to do some special navigation when the table selection changes or the user double clicks (or presses `<return>` key) to navigate.
    Overrides:
      `navigateSpecial` in class `QuickFix`
    Parameters:
      `services` - the tool service provider
      `fromSelectionChange` - true if this call was caused by the table selection changing
    Returns:
      true if this item handles the navigation and false if the QuickFix did not handle the navigation and the client should attempt to do generic navigation.

  - ### getCustomToolTipData

    public Map<String,String> getCustomToolTipData()
    Overrides:
      `getCustomToolTipData` in class `QuickFix`

  - ### getActionName

    public String getActionName()
    Description copied from class: `QuickFix`
    Returns the general name of the action to be performed.
    Specified by:
      `getActionName` in class `QuickFix`
    Returns:
      the general name of the action to be performed